#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.1.0
visibility:           public
id:                   ghcide-1.9.1.0-AYYVdEhTnDUFrRgnQDb6al
key:                  ghcide-1.9.1.0-AYYVdEhTnDUFrRgnQDb6al
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  a7f5597ef0f8144e1ec5de52b3fcccfd
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.1.0-AYYVdEhTnDUFrRgnQDb6al
depends:
    Diff-0.4.1-81vv00ASPgyAcJjO3CBj7Z
    Glob-0.10.2-EbzlotFZmcj3T0dHM5Iogf
    aeson-2.1.2.1-2DC8oo6JY6hDnCPVtrY9Cs
    aeson-pretty-0.8.10-Co42c7Q6qadDoHsdWYagDE array-0.5.4.0
    async-2.2.5-GhBzXJSWYyS3QxuWn9vF7I base-4.16.4.0
    base16-bytestring-1.0.2.0-811wB6fWCSu9E6YPICu5Ty binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-Ae1VIo3e2Z6KvoMehcMVOT
    co-log-core-0.3.2.1-2AU9WsAKZF7BUTaaZVMoIp containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-GSvjga29w3N97b1A1Alj41
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB deepseq-1.4.6.1
    dependent-map-0.4.0.0-AXlDVKZNJ72GB0LkooiqG5
    dependent-sum-0.7.2.0-LIgicWmOokfK9CA7iIY3v9 directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.2.0-HAEPQ28KATgGsllFx0TGHc exceptions-0.10.4
    extra-1.7.14-BjMplnCbMvt39ARSQjqIhJ filepath-1.4.2.2
    fingertree-0.1.5.0-LRU9hiiVyT3BCknsnY5x4n
    focus-1.0.3.2-AeTyd0o6jpF2u2RLKLNoe3 ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-AvoInxMxANZ6AHfpLc1Av
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.8-AXrbrbo7fa5AubaYk3VnX7
    haddock-library-1.11.0-Ik59R8zgxqOJJJupYf3Wo5
    hashable-1.4.3.0-3dqA7o3S1KBIuEdO2YDkYf
    hie-bios-0.11.0-FL3Zg8IdcOXJpX646gRwBY
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.2.0-BVqtyi3V6wIGIV1JVUdqYb
    hls-graph-1.9.0.0-F21GZH2E2vu5lYizWioys9
    hls-plugin-api-1.6.0.0-KTYeOxinytW3ej4CqUDJP
    hslogger-1.3.1.0-GvoQmZVucEbE0naRgkwDk2
    implicit-hie-0.1.2.7-90k1FoQS4zNBnv3dQaWrEp
    implicit-hie-cradle-0.5.0.1-COP835RFnkS9gZVLmkbZjj
    lens-5.2.3-DsU5WJ3RaWRHiptdGSZV2k
    list-t-1.0.5.4-KRno2o7PDQSi7jkiA22Ro
    lsp-1.6.0.0-B2r5TmpbTXj5ytY7x4uiZV
    lsp-types-1.6.0.0-5X7yFzr8fJU9U08hOmygEL mtl-2.2.2
    opentelemetry-0.8.0-1jIyNNtY3rc66xaYcHQBlk
    optparse-applicative-0.17.1.0-Jx8WaQbsFK9BJBRr9ePa2T
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-HiziM37WgyB7jvtYf8DwHL
    prettyprinter-ansi-terminal-1.1.3-3uXwXAnnOHrFoIaBlEKVh0
    random-1.2.1.2-I9vy4QvkbAYGYkQawOWCQJ
    regex-tdfa-1.3.2.2-K44QZvim3nPEg8vq7Yhc41
    safe-exceptions-0.1.7.4-6vq3gTVBbHjKp51MulcvRg
    sorted-list-0.2.2.0-5ShstD2c3IU87wx1crDSx6
    sqlite-simple-0.4.19.0-ApgsMIF4AggCsGuKFiktfS stm-2.5.0.2
    stm-containers-1.2.0.3-2hsDB648oBe5KismFygXwE
    syb-0.7.2.4-K6o0SZXz7fjG81XrpjawRT text-1.2.5.0
    text-rope-0.2-3jZwgqEjcYuDSoZ7CN19OA time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-4gFO3ftpXwmAirIIVtHHfM
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-2sfG1n18ekp4kj5cDOH71Y
    vector-0.13.1.0-BOAscM7GxpQxkvUjpqER4

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

